OCI-Lob->eof
OCI-Lob->export
OCI8 Functions
PHP Manual

# OCI-Lob->erase

(No version information available, might be only in CVS)

OCI-Lob->erase — Erases a specified portion of the internal LOB data

### Description

OCI-Lob
int erase ([ int `$offset` [, int `$length` ]] )

Erases a specified portion of the internal LOB data starting at a specified `offset` . If called without parameters, it erases all LOB data.

For BLOBs, erasing means that the existing LOB value is overwritten with zero-bytes. For CLOBs, the existing LOB value is overwritten with spaces.

### Parameters

`offset`

`length`

### Return Values

Returns the actual number of characters/bytes erased or `FALSE` in case of error.

### See Also

- OCI-Lob->truncate

OCI-Lob->eof
OCI-Lob->export
OCI8 Functions
PHP Manual